Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

perl-Module-Install-1.19-1.14 RPM for noarch

From OpenSuSE Tumbleweed for noarch

Name: perl-Module-Install Distribution: openSUSE Tumbleweed
Version: 1.19 Vendor: openSUSE
Release: 1.14 Build date: Sun Sep 26 02:17:16 2021
Group: Development/Libraries/Perl Build host: sheep81
Size: 366602 Source RPM: perl-Module-Install-1.19-1.14.src.rpm
Packager: https://bugs.opensuse.org
Url: http://search.cpan.org/dist/Module-Install/
Summary: Standalone, extensible Perl module installer
*Module::Install* is a package for writing installers for CPAN (or
CPAN-like) distributions that are clean, simple, minimalist, act in a
strictly correct manner with ExtUtils::MakeMaker, and will run on any Perl
installation version 5.005 or newer.

The intent is to make it as easy as possible for CPAN authors (and
especially for first-time CPAN authors) to have installers that follow all
the best practices for distribution installation, but involve as much DWIM
(Do What I Mean) as possible when writing them.

Provides

Requires

License

Artistic-1.0 or GPL-1.0+

Changelog

* Wed Feb 07 2018 coolo@suse.com
  - updated to 1.19
    see /usr/share/doc/packages/perl-Module-Install/Changes
    1.19  2017-12-19
    - remove use of INIT phase in Module::Install::DSL, to fix issues on perl
      5.27.7 (see cpan RT#123867 and perl RT#132577)
* Wed Apr 05 2017 coolo@suse.com
  - updated to 1.18
    see /usr/share/doc/packages/perl-Module-Install/Changes
    1.18  2017-04-04
    - fix tests to no longer rely on . being in @INC (Graham Ollis, PR#58)
* Tue Oct 25 2016 coolo@suse.com
  - updated to 1.17
    see /usr/share/doc/packages/perl-Module-Install/Changes
    1.17  2016-10-24
    - fix issue with mkpath with empty path
    - removed irrelevant code for Perl < v5.6
    - VMS fixes (RT#79858, Craig A. Berry)
    - documentation updated to reflect current discouraged state
* Sat May 02 2015 coolo@suse.com
  - updated to 1.16
    see /usr/share/doc/packages/perl-Module-Install/Changes
* Fri Apr 17 2015 coolo@suse.com
  - updated to 1.15
    see /usr/share/doc/packages/perl-Module-Install/Changes
    1.15 Thu Apr 16 2015
    - respect the 'urllist' option when using the CPAN backend (Dan Brook)
    - fixes for newlines on MSWin32 (Christian Walde)
* Mon Apr 13 2015 coolo@suse.com
  - updated to 1.14
    see /usr/share/doc/packages/perl-Module-Install/Changes
    1.14 Sat 25 Oct 2014
    - Newlines should be consistently UNIX-stylee now in generated files (MITHALDU)
    - Mark two tests as TODO if EUMM > 6.98 until utf8 gets fixed (BINGOS)
    1.12 Fri 29 Aug 2014
    - Revert license behaviour (TSIBLEY)
    - Documentation also mentioning metacpan.org (LLAP)
    1.10 Fri 11 Jul 2014
    - Minimum perl version is now v5.6.0 (BOWTIE)
    - Update license tables (BOWTIE)
    - Prereqs and recommends adjusted (BOWTIE)
    - Typo fixes (BOWTIE)
    - Pod fixes (GREGOA)
    - Fix make upgradedeps work with bundles (JNWHITLEY)
    - Fix name_from regex to work with recent package syntax (BOWTIE)
    - Performance enhancements when running Makefile.PL (GFUJI)
    - Removed use of sub prototypes (BOWTIE)
* Mon Mar 10 2014 coolo@suse.com
  - updated to 1.08
    - Remove LWP::UserAgent from the prereqs (TOKUHIROM)
    - Require a more recent version of Module::ScanDeps (CHORNY)
    - Fix failing test case with recent Parse::CPAN::Meta (BINGOS)
    - Adding can_xs command, imported from Params::Util (ADAMK)
    - Adding requires_xs command, wrapping around can_xs (ADAMK)
    - Use Module::Metadata instead of require to check versions for
      modules that we don't need to subsequently use (MSTROUT/MIYAGAWA)
      Use EU:MM instead of Module::Metadata to check versions for
      modules that we don't need to subsequently use (ADAMK)
    - Removed automatic EU:MM version detection as it was using versions
      in the future, change to a fixed version, unf (ADAMK)
* Sat Nov 12 2011 coolo@suse.com
  - update to 1.04:
    - Fixed _cmp to compare properly (MIYAGAWA)
    - Fixed the automated MakeMaker dependency addition (MIYAGAWA)
    - Last Perl 5.5 compatible MakeMaker was actually 6.36 (ADAMK)
    - META.yml flag dynamic_config is now always generated (ADAMK)
    - Added the convenience command static_config, as the default is to be
      dynamic (ADAMK)
    - Module::Install::DSL will automatically set static_config unless it
      can see an 'if' or 'unless' suffix (ADAMK)
* Fri Sep 30 2011 pascal.bleser@opensuse.org
  - update to 1.02:
    * support for installdeps_target in Module::Install::AutoInstall and
      Module::AutoInstall
    * support for installdeps_notest, upgradedeps and upgradedeps_notest,
      listdeps and listalldeps targets in Module::AutoInstall
* Sun May 01 2011 coolo@opensuse.org
  - updated to 1.01
    - Better error message in install_share (CHORNY)
    - Compatibility with MYMETA.yml support in EUMM (CHORNY)
    - Support for extraction of Artistic 2.0 license (CHORNY)
    - Support https links when searching for bug trackers (CHORNY)

Files

/usr/lib/perl5/vendor_perl/5.34.0/Module
/usr/lib/perl5/vendor_perl/5.34.0/Module/AutoInstall.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install.pod
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/API.pod
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/Admin
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/Admin.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/Admin/Bundle.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/Admin/Compiler.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/Admin/Find.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/Admin/Include.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/Admin/Makefile.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/Admin/Manifest.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/Admin/Metadata.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/Admin/ScanDeps.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/Admin/WriteAll.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/AutoInstall.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/Base.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/Bundle.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/Can.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/Compiler.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/DSL.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/Deprecated.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/External.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/FAQ.pod
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/Fetch.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/Include.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/Inline.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/MakeMaker.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/Makefile.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/Metadata.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/PAR.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/Philosophy.pod
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/Run.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/Scripts.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/Share.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/Win32.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/With.pm
/usr/lib/perl5/vendor_perl/5.34.0/Module/Install/WriteAll.pm
/usr/lib/perl5/vendor_perl/5.34.0/inc
/usr/lib/perl5/vendor_perl/5.34.0/inc/Module
/usr/lib/perl5/vendor_perl/5.34.0/inc/Module/Install
/usr/lib/perl5/vendor_perl/5.34.0/inc/Module/Install.pm
/usr/lib/perl5/vendor_perl/5.34.0/inc/Module/Install/DSL.pm
/usr/share/doc/packages/perl-Module-Install
/usr/share/doc/packages/perl-Module-Install/Changes
/usr/share/doc/packages/perl-Module-Install/README
/usr/share/doc/packages/perl-Module-Install/TODO
/usr/share/man/man3/Module::AutoInstall.3pm.gz
/usr/share/man/man3/Module::Install.3pm.gz
/usr/share/man/man3/Module::Install::API.3pm.gz
/usr/share/man/man3/Module::Install::Admin.3pm.gz
/usr/share/man/man3/Module::Install::Admin::Include.3pm.gz
/usr/share/man/man3/Module::Install::Admin::Manifest.3pm.gz
/usr/share/man/man3/Module::Install::Base.3pm.gz
/usr/share/man/man3/Module::Install::Bundle.3pm.gz
/usr/share/man/man3/Module::Install::Can.3pm.gz
/usr/share/man/man3/Module::Install::Compiler.3pm.gz
/usr/share/man/man3/Module::Install::Deprecated.3pm.gz
/usr/share/man/man3/Module::Install::External.3pm.gz
/usr/share/man/man3/Module::Install::FAQ.3pm.gz
/usr/share/man/man3/Module::Install::Makefile.3pm.gz
/usr/share/man/man3/Module::Install::PAR.3pm.gz
/usr/share/man/man3/Module::Install::Philosophy.3pm.gz
/usr/share/man/man3/Module::Install::Share.3pm.gz
/usr/share/man/man3/Module::Install::With.3pm.gz
/usr/share/man/man3/inc::Module::Install.3pm.gz
/usr/share/man/man3/inc::Module::Install::DSL.3pm.gz


Generated by rpm2html 1.8.1

Fabrice Bellet, Sun Jan 2 23:52:16 2022